## sleepenh 1.3

=== Makefile ===
# just a simple makefile

all: sleepenh manpage

clean:
	rm -fv sleepenh sleepenh.1.gz

distclean: clean

sleepenh:
	gcc -o sleepenh -Wall -O2 sleepenh.c

manpage:
	if [ ! -e "sleepenh.1.gz" ]; then \
	cat sleepenh.1 | gzip -9 > sleepenh.1.gz ; fi

install: sleepenh manpage
	mkdir -p ${DESTDIR}/usr/bin/
	install -m 0755 -o root -g root sleepenh ${DESTDIR}/usr/bin/sleepenh
	mkdir -p ${DESTDIR}/usr/share/man/man1/
	install -m 0644 -o root -g root sleepenh.1.gz ${DESTDIR}/usr/share/man/man1/sleepenh.1.gz

## sleepenh 1.4

=== Makefile ===
Q ?= @
ifneq ($(Q),@)
Q :=
endif

CC = gcc
CFLAGS = -std=gnu11 -Wall -Wextra -O2

targets := sleepenh sleepenh.1.gz

all: $(targets)

.clean = $(wildcard $(targets))
distclean clean:
ifneq ($(.clean),)
	rm -f $(.clean)
endif

sleepenh: CFLAGS += -DVCSVERSION=$(call vcsversion)

%.1.gz: %.1
	gzip -9 < $< > $@

install: $(targets)
	install -D -m 0755 -o root -g root sleepenh ${DESTDIR}/usr/bin/sleepenh
	install -D -m 0644 -o root -g root sleepenh.1.gz ${DESTDIR}/usr/share/man/man1/sleepenh.1.gz

define vcsversion
'$(shell git describe --dirty | sed -e 's,^\(.*\)/\([^/]\+\),\2/\1,;s,^.*$$,\"&\",')'
endef

=== debian/changelog ===
sleepenh (1.4-2) unstable; urgency=medium

  * Update vcs and homepage URLs (moved to github) (Closes: #789375)

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Fri, 26 Jun 2015 13:17:04 +0200

sleepenh (1.4-1) unstable; urgency=medium

  * New upstream release:
    + Makefile: update and allow compile flag changes via command line.
    + Command line options for help and version.
    + Add time warp option.
  * Purge obsolete patch makefile--use-debian-compiler-flags.
  * Add debian/watch file.
  * Update copyright file.
  * Remove obsolete buildflags lines from debian/rules.
  * Add upstream homepage links to debian/{control,copyright}.

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Mon,  1 Dec 2014 05:05:43 +0100

sleepenh (1.3-2) unstable; urgency=low

  * Purge obsolete Debian files
  * Use default debian/rules
  * Add missing package dependency ${misc:Depends}
  * Set source format to '3.0 (quilt)'
  * patch: use Debian compiler flags
  * Update copyright file
  * Update Standards-Version to 3.9.6 (no changes required)
  * New maintainer (Closes: #759732)
  * Bump debhelper compat level to 9
  * Add Vcs-Browser and Vcs-Git URLs

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Tue, 28 Oct 2014 08:07:21 +0100

sleepenh (1.3-1) unstable; urgency=low

  * New upstream release, nothing important has changed, only FSF address
    in copyright, a gcc warnings have been removed and manpage warnings were
    removed.

 -- Pedro Zorzenon Neto <pzn@debian.org>  Sun, 20 Apr 2008 19:23:51 -0300

sleepenh (1.2-3) unstable; urgency=low

  * fixed typos in manpage, thanks to A. Costa. closes: #422939
  * decided not to add a symlink to usleep, as asked in bug 223455. The gnu
    'sleep' command (provided by package coreutils) accepts floating numbers
    as arguments and can be used for doing it. closes: #223455
  * updated debian/rules, dh_compat, FSF address in copyright and other
    small things.

 -- Pedro Zorzenon Neto <pzn@debian.org>  Sun, 20 Apr 2008 18:18:18 -0300

sleepenh (1.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359595).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 18 Jul 2006 00:58:28 +0200

sleepenh (1.2-2) unstable; urgency=low

  * Changing package short and long description.
    See bug #182331 for more details. Thanks to Ludovic Rousseau.

 -- Pedro Zorzenon Neto <pzn@debian.org>  Mon, 10 Mar 2003 23:15:22 -0300

sleepenh (1.2-1) unstable; urgency=low

  * Initial Release.
  
  * First upload, closing ITP (Closes: #182331)

 -- Pedro Zorzenon Neto <pzn@debian.org>  Thu,  6 Mar 2003 07:38:07 -0300

=== debian/control ===
Source: sleepenh
Section: utils
Priority: extra
Maintainer: Nicolas Schier <nicolas@hjem.rpa.no>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/nsc-deb/sleepenh
Vcs-Browser: https://github.com/nsc-deb/sleepenh-debian
Vcs-Git: https://github.com/nsc-deb/sleepenh-debian.git

Package: sleepenh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Sleep until a given date with subsecond resolution
 sleepenh is an sleep program for using in shell scripts
 that need to perform a loop that repeats at a regular
 time interval, without cumulative errors.
 .
 It supports microsecond resolution.
 .
 You can also specify the time you need between two calls
 of sleepenh.
 .
 Here follows an usage example to clarify its purpose. This
 example sends 'A' to ttyS0 every 1.2 seconds.
   #!/bin/sh
   # does not wait (or wait 0), just to get initial timestamp
   TIMESTAMP=`sleepenh 0`
   while true; do
     # send the byte to ttyS0
     echo -n "A" > /dev/ttyS0;
     # wait until the required time
     TIMESTAMP=`sleepenh $TIMESTAMP 1.200`;
   done
 .
 For more details, please read the manpage.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

vcsversion = $(shell sed -ne '1{s,^.*(\([0-9\.]\+\)-.*).*$$,\1,p;q}' < debian/changelog)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) vcsversion='\"$(call vcsversion)\"'

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sleepenh-$1\.tar\.gz/ \
  https://github.com/nsc-deb/sleepenh/tags .*/v?(\d\S*)\.tar\.gz

## sleepenh 1.6

=== debian/changelog ===
sleepenh (1.6-1) unstable; urgency=medium

  * New upstream release:
    + Fix variable descriptions and time warp
  * Makefile: add EXTRA_CFLAGS (via patch)
  * debian/rules: build with debug symbols

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Thu, 07 Jan 2016 08:02:25 +0100

sleepenh (1.5-1) unstable; urgency=medium

  * New upstream release:
    + Fix time warp option
    + Add initial package changelog

 -- Nicolas Schier <nicolas@hjem.rpa.no>  Wed, 25 Nov 2015 07:36:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) vcsversion='\"$(call vcsversion)\"'
+	$(MAKE) EXTRA_CFLAGS=-g vcsversion='\"$(call vcsversion)\"'

## sleepenh 1.7

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 endif
 
 CC = gcc
-CFLAGS = -std=gnu11 -Wall -Wextra -O2
+CFLAGS = -std=gnu11 -Wall -Wextra -O2 $(EXTRA_CFLAGS)
 
 targets := sleepenh sleepenh.1.gz

=== debian/changelog ===
sleepenh (1.7-1) unstable; urgency=medium

  * Import upstream version 1.7
  * Purge obsolete Debian patch
  * Update maintainer email address
  * Update Vcs-* and remove obsolete Homepage URIs (Closes: #911267),
    thanks to Micha Lenk for reporting and repo migration to salsa
  * Update Priority from extra to optional
  * debian/copyright: update source URI
  * debian/copyright: update upstream email address
  * Update package description
  * debian/copyright: use https scheme for copyright format URI
  * debian/rules: enable hardening build flags
  * Bump standards version to 4.2.1
  * Update debhelper compat level to 11

 -- Nicolas Schier <nicolas@fjasle.eu>  Sat, 03 Nov 2018 22:41:18 +0100

=== debian/control ===
Source: sleepenh
Section: utils
Priority: optional
Maintainer: Nicolas Schier <nicolas@fjasle.eu>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/sleepenh
Vcs-Git: https://salsa.debian.org/debian/sleepenh.git

Package: sleepenh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Sleep until a given date with subsecond resolution
 sleepenh is a sleep program for shell scripts that need to
 perform a loop that repeats at a regular time interval, without
 cumulative errors.
 .
 It supports microsecond resolution.
 .
 You can also specify the time you need between two calls
 of sleepenh.
 .
 Here follows an usage example to clarify its purpose. This
 example sends 'A' to ttyS0 every 1.2 seconds.
   #!/bin/sh
   # does not wait (or wait 0), just to get initial timestamp
   TIMESTAMP=$(sleepenh 0)
   while true; do
     # send the byte to ttyS0
     echo -n "A" > /dev/ttyS0;
     # wait until the required time
     TIMESTAMP=$(sleepenh $TIMESTAMP 1.200);
   done
 .
 For more details, please read the manpage.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/default.mk
+
 vcsversion = $(shell sed -ne '1{s,^.*(\([0-9\.]\+\)-.*).*$$,\1,p;q}' < debian/changelog)
+export DEB_BUILD_MAINT_OPTIONS += hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="mode=git,gitmode=full,compression=xz,pgpmode=none" \
  https://rocketgit.com/user/nicolas/sleepenh \
  refs/tags/([\d\.]+) debian uupdate

## sleepenh 1.8

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 	gzip -9 < $< > $@
 
 install: $(targets)
-	install -D -m 0755 -o root -g root sleepenh ${DESTDIR}/usr/bin/sleepenh
-	install -D -m 0644 -o root -g root sleepenh.1.gz ${DESTDIR}/usr/share/man/man1/sleepenh.1.gz
+	install -D -m 0755 sleepenh ${DESTDIR}/usr/bin/sleepenh
+	install -D -m 0644 sleepenh.1.gz ${DESTDIR}/usr/share/man/man1/sleepenh.1.gz
 
 define vcsversion
 '$(shell git describe --dirty | sed -e 's,^\(.*\)/\([^/]\+\),\2/\1,;s,^.*$$,\"&\",')'

=== debian/changelog ===
sleepenh (1.8-1) unstable; urgency=medium

  * Add initial debian/gbp.conf
  * debian: Update upstream repository URL
  * New upstream version 1.8 (Closes: #1089435)
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump standards version to 4.7 (no changes)

 -- Nicolas Schier <nicolas@fjasle.eu>  Mon, 09 Dec 2024 20:59:32 +0100

sleepenh (1.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass a CC to make. (Closes: #1029271)

  [ Nicolas Schier ]
  * Bump standards version to 4.6.2 (no changes required)
  * Add Changelog and Repository-Browse to upstream metadata

 -- Nicolas Schier <nicolas@fjasle.eu>  Wed, 27 Sep 2023 13:21:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Nicolas Schier <nicolas@fjasle.eu>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/sleepenh
 Vcs-Git: https://salsa.debian.org/debian/sleepenh.git

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) EXTRA_CFLAGS=-g vcsversion='\"$(call vcsversion)\"'
+	dh_auto_build -- EXTRA_CFLAGS=-g vcsversion='\"$(call vcsversion)\"'

=== debian/watch ===
version=4
opts="mode=git,gitmode=full,compression=xz,pgpmode=none" \
  https://codeberg.org/nsc/sleepenh.git \
  refs/tags/([\d\.]+) debian uupdate
